<?php
namespace Modules\Consultation\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ConsultationPanier
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function creatEdit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validate(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupAddFrs(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxAddFrs(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function ajaxCheckNbFourniss(): bool
    {
        return true;
    }
}
